/*
 * Copyright (c) 2020.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotEmpty;

/**
 * <p>
 *
 * </P>
 *
 * @author FanYi
 * @date 2020/7/6
 * @since 1.0
 */
@Component
@ConfigurationProperties(prefix = "wms.common")
@Data
@Validated
public class CommonConfig {

    /**
     * 文件上传路径
     */
    @NotEmpty
    private String uploadPath;

    /**
     * 前端主机地址
     */
    @NotEmpty
    private String webHost;
    /**
     * 后端主机地址
     */
    @NotEmpty
    private String apiHost;
}
