/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.dto;

import com.mt.wms.core.base.BaseDto;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author jiff
 * @date 2018/11/1
 * @since 1.0
 */
@EqualsAndHashCode(callSuper = false)
@Builder
@Data
@Accessors(chain = true)
public class LoginUser extends BaseDto {
    public static final String HTTP_HEADER_NAME = "loginUser";
    public static final int USER_TYPE_PLATFORM = 1;
    public static final int USER_TYPE_PARTNER = 2;
    public static final int USER_TYPE_HOSPITAL = 3;
    public static final int USER_TYPE_PATIENT = 4;
    /**
     * 会话ID
     */
    private String sessionId;
    private Long passportUserId;
    private Long userId;
    private Long partnerId;
    private Long hospitalId;
    private Long orgId;
    private String mobile;
    private String userName;
    /**
     * 用户类型
     */
    private int userType;
    /**
     * 应用类型
     */
    private int appType;
    /**
     * 应用代码
     */
    private int appCode;
    /**
     * 登录类型：1、自主登录，2、漫游登录
     */
    private int loginType;
    /**
     * 微信appId
     */
    private String wechatAppId;
    /**
     * 微信openId
     */
    private String openId;
}
