/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.enums;

import com.mt.wms.core.base.IEnum;

/**
 * <p>
 * 是、否有效枚举
 * </P>
 *
 * @author FanYi
 * @date 2018/11/8
 * @since 1.0
 */
public enum CaptchaEnum implements IEnum<Integer> {

    QT(0, "其他"),

    PATIENT_ZC(1, "患者注册"),

    PATIENT_XG(2, "患者修改密码");

    private final Integer value;
    private final String label;
    private final String remark;

    CaptchaEnum(final int value, final String label) {
        this(value, label, null);
    }

    CaptchaEnum(final int value, final String label, final String remark) {
        this.value = value;
        this.label = label;
        this.remark = remark;
    }

    /**
     * @return 数据值
     */
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * @return 标签名
     */
    @Override
    public String getLabel() {
        return label;
    }

    /**
     * @return 备注
     */
    @Override
    public String getRemark() {
        return remark;
    }
}
