/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.enums;

import com.mt.wms.core.base.IEnum;

/**
 * 订单状态枚举
 */
public enum OrderStatusEnum implements IEnum<Integer> {
    ORDER_INIT(0, "订单初始化"),

    ORDER_NOPAY(1, "未支付"),

    ORDER_PAYED(2, "已支付"),

    ORDER_CHECKING(3, "检验中"),

    ORDER_SUCCESS(4, "已完成"),

    ORDER_CANCEL(-1, "已取消");

    private final Integer value;
    private final String label;
    private final String remark;


    OrderStatusEnum(final int value, final String label) {
        this(value, label, null);
    }

    OrderStatusEnum(final int value, final String label, final String remark) {
        this.value = value;
        this.label = label;
        this.remark = remark;
    }

    /**
     * @return 数据值
     */
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * @return 标签名
     */
    @Override
    public String getLabel() {
        return label;
    }

    /**
     * @return 备注
     */
    @Override
    public String getRemark() {
        return remark;
    }
}
