package com.mt.wms.core.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * <p>
 *
 * </P>
 *
 * @author FanYi
 * @date 2020/7/7
 * @since 1.0
 */
@ApiModel("启用or禁用入参对象")
@EqualsAndHashCode(callSuper = true)
@Data
public class EnabledParam extends BaseParam {
    @ApiModelProperty("业务主键ID")
    @NotNull(message = "id不能为空！")
    private Long id;

    @ApiModelProperty(value = "启用状态", notes = "0 、停用，1、启用", example = "1")
    @Range(min = 0, max = 1, message = "启用状态只能为0或1")
    private Integer enabled;
}
