package com.mt.wms.empty.controller;

import com.mt.wms.core.base.BaseController;
import com.mt.wms.core.constants.CommonConstant;
import com.mt.wms.core.params.EnabledParam;
import com.mt.wms.core.params.IdListParam;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.validator.groups.AddGroup;
import com.mt.wms.core.validator.groups.PageGroup;
import com.mt.wms.core.validator.groups.UpdateGroup;
import com.mt.wms.core.vo.IdListVo;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.EmptyParam;
import com.mt.wms.empty.params.EmptyQueryParam;
import com.mt.wms.empty.service.EmptyService;
import com.mt.wms.empty.vo.EmptyVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.groups.Default;
import java.util.List;

/**
 * @author jiff
 * @date 2020/12/22
 * @since 1.0
 */
@RestController
@RequestMapping(CommonConstant.API_MODULE_BASE + "empty")
@Slf4j
@Api(value = "xx管理", tags = "xx", hidden = false)
public class EmptyController extends BaseController {
    @Autowired
    private EmptyService emptyService;

    @PostMapping(value = "get")
    @ApiOperation(value = "获取xx")
    private R<EmptyVo> get(@Validated @RequestBody IdParam idParam) {
        return emptyService.get(idParam);
    }

    @PostMapping(value = "list")
    @ApiOperation(value = "获取xx列表")
    private R<List<EmptyVo>> list(@Validated({Default.class}) @RequestBody EmptyQueryParam emptyQueryParam) {
        return emptyService.list(emptyQueryParam);
    }

    @PostMapping(value = "page")
    @ApiOperation(value = "获取分页xx")
    private R<PageVo<EmptyVo>> page(@Validated({PageGroup.class, Default.class}) @RequestBody EmptyQueryParam emptyQueryParam) {
        return emptyService.page(emptyQueryParam);
    }

    @PostMapping(value = "tree")
    @ApiOperation(value = "获取xx树列表")
    private R<List<EmptyVo>> tree(@Validated({Default.class}) @RequestBody EmptyQueryParam emptyQueryParam) {
        return emptyService.tree(emptyQueryParam);
    }

    @PostMapping(value = "add")
    @ApiOperation(value = "新增")
    private R<IdVo> add(@Validated({AddGroup.class, Default.class}) @RequestBody EmptyParam emptyParam) {
        return emptyService.add(emptyParam);
    }

    @PostMapping(value = "update")
    @ApiOperation(value = "更新")
    private R<IdVo> update(@Validated({UpdateGroup.class, Default.class}) @RequestBody EmptyParam emptyParam) {
        return emptyService.update(emptyParam);
    }

    @PostMapping(value = "enabled")
    @ApiOperation(value = "启停xx")
    private R<IdVo> enabled(@Validated @RequestBody EnabledParam enabledParam) {
        return emptyService.enabled(enabledParam);
    }

    @PostMapping(value = "delete")
    @ApiOperation(value = "删除xx")
    private R<IdVo> delete(@Validated @RequestBody IdParam idParam) {
        return emptyService.delete(idParam);
    }

    @PostMapping(value = "batchDelete")
    @ApiOperation(value = "批量删除xx")
    private R<IdListVo> delete(@Validated @RequestBody IdListParam idListParam) {
        return emptyService.delete(idListParam);
    }

}
