package com.mt.wms.empty.service;

import com.mt.wms.core.params.EnabledParam;
import com.mt.wms.core.params.IdListParam;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdListVo;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.EmptyParam;
import com.mt.wms.empty.params.EmptyQueryParam;
import com.mt.wms.empty.vo.EmptyVo;

import java.util.List;

/**
 * xx服务
 *
 * @author jiff
 * @date 2020/12/22
 * @since 1.0
 */
public interface EmptyService {
    /**
     * 获取xx
     *
     * @param idParam 主键参数
     * @return xx
     */
    R<EmptyVo> get(IdParam idParam);

    /**
     * 获取xx列表
     *
     * @param emptyQueryParam xx查询参数
     * @return xx列表
     */
    R<List<EmptyVo>> list(EmptyQueryParam emptyQueryParam);

    /**
     * 获取xx分页列表
     *
     * @param emptyQueryParam xx查询参数
     * @return xx分页列表
     */
    R<PageVo<EmptyVo>> page(EmptyQueryParam emptyQueryParam);

    /**
     * 获取xx树列表
     *
     * @param emptyQueryParam xx查询参数
     * @return xx树列表
     */
    R<List<EmptyVo>> tree(EmptyQueryParam emptyQueryParam);

    /**
     * 新增xx
     *
     * @param emptyParam xx参数
     * @return 主键
     */
    R<IdVo> add(EmptyParam emptyParam);

    /**
     * 更新xx
     *
     * @param emptyParam xx参数
     * @return 主键
     */
    R<IdVo> update(EmptyParam emptyParam);

    /**
     * 启用停用
     *
     * @param enabledParam 启停参数
     * @return 主键
     */
    R<IdVo> enabled(EnabledParam enabledParam);

    /**
     * 删除xx
     *
     * @param idParam 主键参数
     * @return 主键
     */
    R<IdVo> delete(IdParam idParam);

    /**
     * 批量删除xx
     *
     * @param idListParam 主键列表参数
     * @return 主键列表
     */
    R<IdListVo> delete(IdListParam idListParam);
}
