/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.gateway.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.validation.annotation.Validated;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;

/**
 * 服务网关配置
 *
 * @author jiff
 * @date 2018/11/1
 * @since 1.0
 */
@ConfigurationProperties("wms.gateway")
@Validated
@Data
@Component
public class GatewayConfig {
    @NotNull
    @Valid
    private List<String> ignoreAuths = new ArrayList<>();

}
